function init(hero) {
    hero.setName("Gamora");
    hero.setTier(8);
    
	hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.torso");
    hero.setLeggings("item.superhero_armor.piece.legs");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.addPrimaryEquipment("fiskheroes:rip_hunters_gun", true);
	hero.addEquipment("minecraft:iron_axe");
    
    hero.addPowers("pack:sword","fiskheroes:enhanced_reflexes", "fiskheroes:leaping", "fiskheroes:healing_factor");
    hero.addAttribute("WEAPON_DAMAGE", 14, 0);
    hero.addAttribute("PUNCH_DAMAGE", 17.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 100.0, 0);
	 hero.addAttribute("SPRINT_SPEED", 1.25, 1);   
    hero.addAttribute("JUMP_HEIGHT", 1.5, 1);
    
	
    hero.addKeyBind("UTILITY_BELT", "Throwing Star", 1);
hero.addKeyBind("BLADE", "Godslayer", 2);
	
	
	hero.addAttributeProfile("BLADE", bladeProfile);
    hero.setAttributeProfile(getProfile);
    hero.setDamageProfile(getProfile);
    hero.addDamageProfile("BLADE", {"types": {"SHARP": 1.0}});
 hero.addKeyBind("AIM", "key.aim", -1);

    hero.setHasPermission(hasPermission);
    hero.supplyFunction("canAim", canAim);
}

function hasPermission(entity, permission) {
    return permission == "USE_RIPS_GUN";
}

function canAim(entity) {
    return entity.getHeldItem().name() == "fiskheroes:rip_hunters_gun";
}



function bladeProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 24, 0);
    profile.addAttribute("SPRINT_SPEED", 1.1, 1);
}

function getProfile(entity) {
    return entity.getData("fiskheroes:blade") ? "BLADE" : null;
}


